Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ClusteringToken.TokenState

    java.lang.Object
      oracle.ifs.common.ClusteringToken.TokenState

Enclosing class:
  ClusteringToken

    public class ClusteringToken.TokenState

extends java.lang.Object

A TokenState represents the persistent state of the token, in a form that is convenient to use by ClusteringToken operations.

Constructor Summary
`ClusteringToken.TokenState(ApplicationToken token)` Construct a TokenState.

Method Summary
`java.lang.String` | `computeClusteringStatus()` Computes and returns the clustering status, used to publish the status of this instance.
`java.lang.String` | `getDescriptionString()` Returns the information encoded into the value that is stored as the description.
`java.lang.String` | `getRegistreeNode()` Gets the registree's node.
`int` | `getRegistreeRegistrationType()` Gets the registree's Registration Type.
`java.lang.String` | `getStandbyNode()` Gets the standby's node.
`int` | `getStandbyRegistrationType()` Gets the standby's Registration Type.
`boolean` | `isRegistree()` Gets indication as to whether this the server represented by this ClusteringToken holds the standby position.
`boolean` | `isStandby()` Gets indication as to whether this the server represented by this ClusteringToken holds the standby position.
`void` | `parseDescription(java.lang.String desc)` Parse the description of an ApplicationToken
`void` | `setRegistreeNode(java.lang.String nodeId)` Sets the registree's node.
`void` | `setRegistreeRegistrationType(int regType)` Sets the registree's Registration Type.
`void` | `setStandbyNode(java.lang.String nodeId)` Sets the standby's node.
`void` | `setStandbyRegistrationType(int regType)` Sets the standby's Registration Type.
`void` | `updateToken(LibrarySession session, ApplicationToken appToken)` Update the specified ApplicationToken based on information contained in this instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteringToken.TokenState

    public ClusteringToken.TokenState(ApplicationToken token)
                               throws IfsException

  Construct a TokenState.

  Parameters:
    `token` - the ApplicationToken
  Throws:
    `IfsException` - if the operation fails

Method Detail

### parseDescription

    public void parseDescription(java.lang.String desc)
                          throws IfsException

  Description copied from class: `ClusteringToken.TokenState`
  Parse the description of an ApplicationToken

  Parameters:
    `desc` - the description
  Throws:
    `IfsException` - if the operation fails

### getRegistreeNode

    public java.lang.String getRegistreeNode()

  Description copied from class: `ClusteringToken.TokenState`
  Gets the registree's node.

  Returns:
    the registree's node.

### getRegistreeRegistrationType

    public int getRegistreeRegistrationType()

  Description copied from class: `ClusteringToken.TokenState`
  Gets the registree's Registration Type.

  Returns:
    the registree's Registration Type

### getStandbyNode

    public java.lang.String getStandbyNode()

  Description copied from class: `ClusteringToken.TokenState`
  Gets the standby's node.

  Returns:
    the Standby's node.

### getStandbyRegistrationType

    public int getStandbyRegistrationType()

  Description copied from class: `ClusteringToken.TokenState`
  Gets the standby's Registration Type.

  Returns:
    the Standby's Registration Type

### isRegistree

    public boolean isRegistree()

  Description copied from class: `ClusteringToken.TokenState`
  Gets indication as to whether this the server represented by this ClusteringToken holds the standby position.

  Returns:
    true if this is the standby; false otherwise

### isStandby

    public boolean isStandby()

  Description copied from class: `ClusteringToken.TokenState`
  Gets indication as to whether this the server represented by this ClusteringToken holds the standby position.

  Returns:
    true if this is the standby; false otherwise

### setRegistreeNode

    public void setRegistreeNode(java.lang.String nodeId)

  Description copied from class: `ClusteringToken.TokenState`
  Sets the registree's node.

  Parameters:
    `nodeId` - the new registree's node.

### setRegistreeRegistrationType

    public void setRegistreeRegistrationType(int regType)

  Description copied from class: `ClusteringToken.TokenState`
  Sets the registree's Registration Type.

  Parameters:
    `regType` - the new registree's Registration Type.

### setStandbyNode

    public void setStandbyNode(java.lang.String nodeId)

  Description copied from class: `ClusteringToken.TokenState`
  Sets the standby's node.

  Parameters:
    `nodeId` - the new standby's node.

### setStandbyRegistrationType

    public void setStandbyRegistrationType(int regType)

  Description copied from class: `ClusteringToken.TokenState`
  Sets the standby's Registration Type.

  Parameters:
    `regType` - the new standby's Registration Type.

### updateToken

    public void updateToken(LibrarySession session,
                            ApplicationToken appToken)
                     throws IfsException

  Description copied from class: `ClusteringToken.TokenState`
  Update the specified ApplicationToken based on information contained in this instance.

  Parameters:
    `session` - the session context
    `appToken` - the ApplicationToken
  Throws:
    `IfsException` - if the operation fails

### getDescriptionString

    public java.lang.String getDescriptionString()

  Description copied from class: `ClusteringToken.TokenState`
  Returns the information encoded into the value that is stored as the description.

  Returns:
    the value to be stored as the description

### computeClusteringStatus

    public java.lang.String computeClusteringStatus()

  Description copied from class: `ClusteringToken.TokenState`
  Computes and returns the clustering status, used to publish the status of this instance.

  Returns:
    the clustering status

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD